Submit NDR Action
curl --request POST \
--url https://api.apps.lute.co.in/v1/ndr/{awb}/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"phone": "<string>",
"address": "<string>",
"remarks": "<string>"
}
'import requests
url = "https://api.apps.lute.co.in/v1/ndr/{awb}/action"
payload = {
"action": "<string>",
"phone": "<string>",
"address": "<string>",
"remarks": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
phone: '<string>',
address: '<string>',
remarks: '<string>'
})
};
fetch('https://api.apps.lute.co.in/v1/ndr/{awb}/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/ndr/{awb}/action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => '<string>',
'phone' => '<string>',
'address' => '<string>',
'remarks' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/ndr/{awb}/action"
payload := strings.NewReader("{\n \"action\": \"<string>\",\n \"phone\": \"<string>\",\n \"address\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/ndr/{awb}/action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"<string>\",\n \"phone\": \"<string>\",\n \"address\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/ndr/{awb}/action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"<string>\",\n \"phone\": \"<string>\",\n \"address\": \"<string>\",\n \"remarks\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyExceptions & NDR
Submit NDR Action
Instruct the courier partner to reattempt delivery, update phone, or modify delivery address.
POST
/
v1
/
ndr
/
{awb}
/
action
Submit NDR Action
curl --request POST \
--url https://api.apps.lute.co.in/v1/ndr/{awb}/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>",
"phone": "<string>",
"address": "<string>",
"remarks": "<string>"
}
'import requests
url = "https://api.apps.lute.co.in/v1/ndr/{awb}/action"
payload = {
"action": "<string>",
"phone": "<string>",
"address": "<string>",
"remarks": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: '<string>',
phone: '<string>',
address: '<string>',
remarks: '<string>'
})
};
fetch('https://api.apps.lute.co.in/v1/ndr/{awb}/action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.apps.lute.co.in/v1/ndr/{awb}/action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'action' => '<string>',
'phone' => '<string>',
'address' => '<string>',
'remarks' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apps.lute.co.in/v1/ndr/{awb}/action"
payload := strings.NewReader("{\n \"action\": \"<string>\",\n \"phone\": \"<string>\",\n \"address\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.apps.lute.co.in/v1/ndr/{awb}/action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"action\": \"<string>\",\n \"phone\": \"<string>\",\n \"address\": \"<string>\",\n \"remarks\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.apps.lute.co.in/v1/ndr/{awb}/action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"action\": \"<string>\",\n \"phone\": \"<string>\",\n \"address\": \"<string>\",\n \"remarks\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodySubmit NDR Action
Dispatches an operational instruction to the courier partner handling an undelivered parcel.Path Parameters
Request Body
Allowed values:
reattempt: Request delivery re-attempt (optional:reattempt_dateinYYYY-MM-DD).update_phone: Provide an alternate contact number (phoneparameter).update_address: Correct street or apartment address (addressparameter).rto: Request immediate Return to Origin.
Response Example
{
"success": true,
"data": {
"awb": "129038102931",
"status": "Submitted",
"action": "reattempt",
"message": "Reattempt instruction dispatched to Delhivery"
},
"meta": {
"timestamp": "2026-11-22T16:34:15.000Z",
"request_id": "req_88192031"
}
}